E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::SocketProtocol::Config Struct Reference

A configuration structure for GNet::SocketProtocol. More...

`#include <gsocketprotocol.h>`

Collaboration diagram for GNet::SocketProtocol::Config:
[legend]

## Public Member Functions
Config & | set_read_buffer_size (std::size_t n) noexcept
Config & | set_secure_connection_timeout (unsigned int t) noexcept
Config & | set_server_tls_profile (const std::string &s)
Config & | set_client_tls_profile (const std::string &s)

## Public Attributes
std::size_t | read_buffer_size {G::Limits<>::net_buffer}
unsigned int | secure_connection_timeout {0U}
std::string | server_tls_profile
std::string | client_tls_profile

## Detailed Description

A configuration structure for GNet::SocketProtocol.

Definition at line 69 of file gsocketprotocol.h.

## Member Function Documentation

## ◆ set_client_tls_profile()

GNet::SocketProtocol::Config & GNet::SocketProtocol::Config::set_client_tls_profile | ( | const std::string & | s | ) |
| inline

Definition at line 203 of file gsocketprotocol.h.

## ◆ set_read_buffer_size()

GNet::SocketProtocol::Config & GNet::SocketProtocol::Config::set_read_buffer_size | ( | std::size_t | n | ) |
| inline noexcept

Definition at line 200 of file gsocketprotocol.h.

## ◆ set_secure_connection_timeout()

GNet::SocketProtocol::Config & GNet::SocketProtocol::Config::set_secure_connection_timeout | ( | unsigned int | t | ) |
| inline noexcept

Definition at line 201 of file gsocketprotocol.h.

## ◆ set_server_tls_profile()

GNet::SocketProtocol::Config & GNet::SocketProtocol::Config::set_server_tls_profile | ( | const std::string & | s | ) |
| inline

Definition at line 202 of file gsocketprotocol.h.

## Member Data Documentation

## ◆ client_tls_profile

std::string GNet::SocketProtocol::Config::client_tls_profile

Definition at line 74 of file gsocketprotocol.h.

## ◆ read_buffer_size

std::size_t GNet::SocketProtocol::Config::read_buffer_size {G::Limits<>::net_buffer}

Definition at line 71 of file gsocketprotocol.h.

## ◆ secure_connection_timeout

unsigned int GNet::SocketProtocol::Config::secure_connection_timeout {0U}

Definition at line 72 of file gsocketprotocol.h.

## ◆ server_tls_profile

std::string GNet::SocketProtocol::Config::server_tls_profile

Definition at line 73 of file gsocketprotocol.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gsocketprotocol.h